# Invocation_Base.h File Reference

`#include "tao/Object.h"`
`#include "tao/Invocation_Utils.h"`
`#include "tao/PI_ForwardC.h"`
`#include "tao/ClientRequestInterceptor_Adapter.h"`
`#include "Invocation_Base.inl"`

Include dependency graph for Invocation_Base.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::Invocation_Base
| The base class for the invocation object. More...

## Detailed Description

Id
  Invocation_Base.h,v 1.13 2005/12/22 14:54:50 elliott_c Exp

Author:
  Balachandran Natarajan <bala@dre.vanderbilt.edu>